

drivers/net/8139cp.c:1729: warning: long unsigned int format, different type arg (arg 2)
drivers/net/8139cp.c:1762: warning: long unsigned int format, different type arg (arg 2)


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/8139cp.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

diff -puN drivers/net/8139cp.c~8139cp-resource-warning-fixes drivers/net/8139cp.c
--- 25/drivers/net/8139cp.c~8139cp-resource-warning-fixes	2005-02-28 18:44:01.000000000 -0800
+++ 25-akpm/drivers/net/8139cp.c	2005-02-28 18:45:19.000000000 -0800
@@ -1725,8 +1725,9 @@ static int cp_init_one (struct pci_dev *
 	}
 	if (pci_resource_len(pdev, 1) < CP_REGS_SIZE) {
 		rc = -EIO;
-		printk(KERN_ERR PFX "MMIO resource (%lx) too small on pci dev %s\n",
-		       pci_resource_len(pdev, 1), pci_name(pdev));
+		printk(KERN_ERR PFX "MMIO resource (%llx) too small on pci dev %s\n",
+			(unsigned long long)pci_resource_len(pdev, 1),
+			pci_name(pdev));
 		goto err_out_res;
 	}
 
@@ -1758,8 +1759,9 @@ static int cp_init_one (struct pci_dev *
 	regs = ioremap(pciaddr, CP_REGS_SIZE);
 	if (!regs) {
 		rc = -EIO;
-		printk(KERN_ERR PFX "Cannot map PCI MMIO (%lx@%lx) on pci dev %s\n",
-		       pci_resource_len(pdev, 1), pciaddr, pci_name(pdev));
+		printk(KERN_ERR PFX "Cannot map PCI MMIO (%llx@%lx) on pci dev %s\n",
+			(unsigned long long)pci_resource_len(pdev, 1),
+			pciaddr, pci_name(pdev));
 		goto err_out_res;
 	}
 	dev->base_addr = (unsigned long) regs;
_
